## zoneminder 1.38.0~20260205.81

=== debian/changelog ===
zoneminder (1.38.0~20260205.81-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 05 Feb 2026 17:53:53 -0500

## zoneminder 1.38.0~20260205.89

=== debian/changelog ===
zoneminder (1.38.0~20260205.89-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 05 Feb 2026 18:17:02 -0500

## zoneminder 1.38.0~20260205.90

=== debian/changelog ===
zoneminder (1.38.0~20260205.90-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 05 Feb 2026 23:01:11 -0500

## zoneminder 1.38.0~20260206.90

=== debian/changelog ===
zoneminder (1.38.0~20260206.90-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 03:49:05 +0000

zoneminder (1.38.0~20260206.90-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 03:48:32 +0000

## zoneminder 1.38.0~20260206.92

=== debian/changelog ===
zoneminder (1.38.0~20260206.92-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 06 Feb 2026 08:57:26 -0500

## zoneminder 1.38.0~20260206.94

=== debian/changelog ===
zoneminder (1.38.0~20260206.94-bookworm) bookworm; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 15:38:21 +0000

zoneminder (1.38.0~20260206.94-bookworm) bookworm; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 15:36:09 +0000

=== debian/control ===
Source: zoneminder
Section: net
Priority: optional
Maintainer: Isaac Connor <isaac@zoneminder.com>
Build-Depends: debhelper (>= 11), sphinx-doc, python3-sphinx, python3-sphinx-rtd-theme, dh-linktree, dh-apache2
              ,cmake
              ,libavcodec-dev
              ,libavdevice-dev
              ,libavformat-dev
              ,libavutil-dev
              ,libswresample-dev
              ,libswscale-dev
              ,ffmpeg
              ,arp-scan
              ,net-tools, iproute2
              ,libbz2-dev
              ,libcurl4-gnutls-dev
              ,libjpeg-turbo8-dev | libjpeg62-turbo-dev | libjpeg8-dev | libjpeg9-dev
              ,libturbojpeg0-dev
              ,default-libmysqlclient-dev | libmysqlclient-dev | libmariadbclient-dev-compat
              ,libpolkit-gobject-1-dev
              ,libv4l-dev [!hurd-any]
              ,libvlc-dev
              ,libdate-manip-perl
              ,libdbd-mysql-perl
              ,libphp-serialization-perl
              ,libsys-mmap-perl [!hurd-any]
              ,libwww-perl
              ,libdata-uuid-perl
              ,libssl-dev
              ,libcrypt-eksblowfish-perl
              ,libdata-entropy-perl
              ,libvncserver-dev
              ,libjwt-gnutls-dev|libjwt-dev
              ,libgsoap-dev, gsoap
              ,libmosquittopp-dev
              ,nlohmann-json3-dev|nlohmann-json-dev
Standards-Version: 4.5.0
Homepage: https://www.zoneminder.com/

Package: zoneminder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
        ,sudo
        ,javascript-common
        ,libavdevice61|libavdevice60|libavdevice59|libavdevice58|libavdevice57
        ,libswscale8|libswscale7|libswscale6|libswscale5|libswscale4
        ,libswresample5|libswresample4|libswresample3|libswresample2
        ,ffmpeg
        ,libcurl4, libcurl4-gnutls-dev
        ,libdatetime-perl, libdate-manip-perl, libmime-lite-perl, libmime-tools-perl
        ,libdbd-mysql-perl
        ,libphp-serialization-perl
        ,libmodule-load-conditional-perl
        ,libnet-sftp-foreign-perl
        ,libarchive-zip-perl
        ,libdbd-mysql-perl
        ,libdevice-serialport-perl
        ,libimage-info-perl
        ,libio-interface-perl
        ,libjson-maybexs-perl
        ,libsys-mmap-perl [!hurd-any]
        ,liburi-encode-perl
        ,libwww-perl, liburi-perl
        ,libdata-dump-perl
        ,libdatetime-perl
        ,libclass-std-fast-perl
        ,libsoap-wsdl-perl
        ,libio-socket-multicast-perl
        ,libio-socket-ssl-perl
        ,libdigest-sha-perl
        ,libsys-cpu-perl, libsys-meminfo-perl
        ,libdata-uuid-perl
        ,libnumber-bytes-human-perl
        ,libfile-slurp-perl
        ,default-mysql-client | mariadb-client | virtual-mysql-client
        ,php-mysql, php-gd, php-apcu, php-json, php-intl, php-xml, php-curl
        ,policykit-1|pkexec
        ,rsyslog | system-log-daemon
        ,zip
        ,arp-scan, net-tools, iproute2
        ,libcrypt-eksblowfish-perl, libcryptx-perl
        ,libdata-entropy-perl
        ,libvncclient1|libvncclient0
        ,libjwt2|libjwt-gnutls2|libjwt-gnutls0|libjwt0
        ,libgsoap-2.8.135|libgsoap-2.8.132t64|libgsoap-2.8.124|libgsoap-2.8.117|libgsoap-2.8.104|libgsoap-2.8.91|libgsoap-2.8.75|libgsoap-2.8.60|libgsoap10
        ,libmosquittopp1
Recommends: ${misc:Recommends}
           ,libapache2-mod-php | php-fpm
           ,default-mysql-server | mariadb-server | virtual-mysql-server
           ,zoneminder-doc (>= ${source:Version})
Suggests: fcgiwrap, logrotate
Description: video camera security and surveillance solution
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.

#Package: libzoneminder-perl
#Section: perl
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${perl:Depends}
#        ,libarchive-zip-perl
#        ,libdbd-mysql-perl
#        ,libdevice-serialport-perl
#        ,libimage-info-perl
#        ,libjson-maybexs-perl
#        ,libsys-mmap-perl [!hurd-any]
#        ,liburi-encode-perl
#        ,libwww-perl
#Description: ZoneMinder Perl libraries
# ZoneMinder is intended for use in single or multi-camera video security
# applications, including commercial or home CCTV, theft prevention and child
# or family member or home monitoring and other care scenarios. It
# supports capture, analysis, recording, and monitoring of video data coming
# from one or more video or network cameras attached to a Linux system.
# ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
# cameras using a variety of protocols. It is suitable for use as a home
# video security system and for commercial or professional video security
# and surveillance. It can also be integrated into a home automation system
# via X.10 or other protocols.
# .
# This package provides ZoneMinder Perl libraries; it can be used to
# write custom interfaces as well.

Package: zoneminder-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python-sphinx-rtd-theme | python3-sphinx-rtd-theme
Suggests: www-browser
Description: ZoneMinder documentation
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.
 .
 This package provides ZoneMinder documentation in HTML format.

Package: zoneminder-dbg
Section: debug
Priority: optional
Architecture: any
Depends: zoneminder (= ${binary:Version}), ${misc:Depends}
Description: Zoneminder -- debugging symbols
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.
 .
 This package provides debugging symbols

## zoneminder 1.38.0~20260206.97

=== debian/changelog ===
zoneminder (1.38.0~20260206.97-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 06 Feb 2026 13:32:13 -0500

## zoneminder 1.38.0~20260206.395

=== debian/changelog ===
zoneminder (1.38.0~20260206.395-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 16:42:26 +0000

zoneminder (1.38.0~20260206.395-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 16:41:29 +0000

## zoneminder 1.38.0~20260206.402

=== debian/changelog ===
zoneminder (1.38.0~20260206.402-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 18:30:51 +0000

zoneminder (1.38.0~20260206.402-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 18:29:56 +0000

## zoneminder 1.38.0~20260207.98

=== debian/changelog ===
zoneminder (1.38.0~20260207.98-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 12:23:07 -0500

## zoneminder 1.38.0~20260207.99

=== debian/changelog ===
zoneminder (1.38.0~20260207.99-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 15:19:18 -0500

## zoneminder 1.38.0~20260207.102

=== debian/changelog ===
zoneminder (1.38.0~20260207.102-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 16:27:04 -0500

## zoneminder 1.38.0~20260207.104

=== debian/changelog ===
zoneminder (1.38.0~20260207.104-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 17:20:19 -0500

## zoneminder 1.38.0~20260207.106

=== debian/changelog ===
zoneminder (1.38.0~20260207.106-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 17:53:21 -0500

## zoneminder 1.38.0~20260207.108

=== debian/changelog ===
zoneminder (1.38.0~20260207.108-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 17:58:12 -0500

## zoneminder 1.38.0~20260207.109

=== debian/changelog ===
zoneminder (1.38.0~20260207.109-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 18:04:21 -0500

## zoneminder 1.38.0~20260207.110

=== debian/changelog ===
zoneminder (1.38.0~20260207.110-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 20:24:37 -0500

## zoneminder 1.38.0~20260207.111

=== debian/changelog ===
zoneminder (1.38.0~20260207.111-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 22:29:09 -0500

## zoneminder 1.38.0~20260207.114

=== debian/changelog ===
zoneminder (1.38.0~20260207.114-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 22:39:51 -0500

## zoneminder 1.38.0~20260207.115

=== debian/changelog ===
zoneminder (1.38.0~20260207.115-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 22:42:02 -0500

## zoneminder 1.38.0~20260207.118

=== debian/changelog ===
zoneminder (1.38.0~20260207.118-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 23:43:26 -0500

## zoneminder 1.38.0~20260208.111

=== debian/changelog ===
zoneminder (1.38.0~20260208.111-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 01:53:26 +0000

zoneminder (1.38.0~20260208.111-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 01:52:51 +0000

## zoneminder 1.38.0~20260208.114

=== debian/changelog ===
zoneminder (1.38.0~20260208.114-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 03:33:51 +0000

zoneminder (1.38.0~20260208.114-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 03:33:18 +0000

## zoneminder 1.38.0~20260208.115

=== debian/changelog ===
zoneminder (1.38.0~20260208.115-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 03:42:49 +0000

zoneminder (1.38.0~20260208.115-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 03:42:13 +0000

## zoneminder 1.38.0~20260208.118

=== debian/changelog ===
zoneminder (1.38.0~20260208.118-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 08 Feb 2026 02:26:21 -0500

## zoneminder 1.38.0~20260208.120

=== debian/changelog ===
zoneminder (1.38.0~20260208.120-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 08 Feb 2026 15:06:31 -0500

## zoneminder 1.38.0~20260208.432

=== debian/changelog ===
zoneminder (1.38.0~20260208.432-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 18:02:40 +0000

zoneminder (1.38.0~20260208.432-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 18:01:46 +0000

## zoneminder 1.38.0~20260208.433

=== debian/changelog ===
zoneminder (1.38.0~20260208.433-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 19:31:15 +0000

zoneminder (1.38.0~20260208.433-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 19:30:18 +0000

## zoneminder 1.38.0~20260208.434

=== debian/changelog ===
zoneminder (1.38.0~20260208.434-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 19:35:01 +0000

zoneminder (1.38.0~20260208.434-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 19:34:08 +0000

## zoneminder 1.38.0~20260209.123

=== debian/changelog ===
zoneminder (1.38.0~20260209.123-focal) focal; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 14:33:08 +0000

zoneminder (1.38.0~20260209.123-focal) focal; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 14:30:13 +0000

## zoneminder 1.38.0~20260209.126

=== debian/changelog ===
zoneminder (1.38.0~20260209.126-focal) focal; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 22:11:36 +0000

zoneminder (1.38.0~20260209.126-focal) focal; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 22:08:43 +0000

## zoneminder 1.38.0~20260209.146

=== debian/changelog ===
zoneminder (1.38.0~20260209.146-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 22:52:42 +0000

zoneminder (1.38.0~20260209.146-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 22:52:07 +0000

## zoneminder 1.38.0~20260209.152

=== debian/changelog ===
zoneminder (1.38.0~20260209.152-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 23:05:27 +0000

zoneminder (1.38.0~20260209.152-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 23:04:55 +0000

## zoneminder 1.38.0~20260209.153

=== debian/changelog ===
zoneminder (1.38.0~20260209.153-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 23:12:53 +0000

zoneminder (1.38.0~20260209.153-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 23:12:21 +0000

## zoneminder 1.38.0~20260210.155

=== debian/changelog ===
zoneminder (1.38.0~20260210.155-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Tue, 10 Feb 2026 14:15:05 +0000

zoneminder (1.38.0~20260210.155-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Tue, 10 Feb 2026 14:14:32 +0000

## zoneminder 1.38.0~20260210.157

=== debian/changelog ===
zoneminder (1.38.0~20260210.157-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Tue, 10 Feb 2026 14:28:04 +0000

zoneminder (1.38.0~20260210.157-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Tue, 10 Feb 2026 14:27:30 +0000

## zoneminder 1.38.0~20260210.159

=== debian/changelog ===
zoneminder (1.38.0~20260210.159-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Tue, 10 Feb 2026 09:44:49 -0500

## zoneminder 1.38.0~20260210.164

=== debian/changelog ===
zoneminder (1.38.0~20260210.164-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Tue, 10 Feb 2026 12:54:22 -0500

## zoneminder 1.38.0~20260211.185

=== debian/changelog ===
zoneminder (1.38.0~20260211.185-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Wed, 11 Feb 2026 18:40:54 -0500

## zoneminder 1.38.0~20260211.186

=== debian/changelog ===
zoneminder (1.38.0~20260211.186-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Wed, 11 Feb 2026 22:20:34 -0500

## zoneminder 1.38.0~20260212.195

=== CMakeLists.txt ===
# Main CMake file for the ZoneMinder project.
# Created by mastertheknife (Kfir Itzhak)
# For more information and installation, see the INSTALL file
#
cmake_minimum_required(VERSION 3.12)
project(zoneminder)
file(STRINGS "version.txt" zoneminder_VERSION)
# make API version a minor of ZM version
set(zoneminder_API_VERSION "${zoneminder_VERSION}.1")

# Make sure the submodules are there
if(NOT EXISTS "${CMAKE_SOURCE_DIR}/web/api/app/Plugin/Crud/Lib/CrudControllerTrait.php")
  message(SEND_ERROR "The git submodules are not available. Please run git submodule update --init --recursive")
endif()

# CMake does not allow out-of-source build if CMakeCache.exists 
# in the source folder. Abort and notify the user
if((NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR)) AND (EXISTS "${CMAKE_SOURCE_DIR}/CMakeCache.txt"))
  message(FATAL_ERROR " You are attempting to do an out-of-source build,
    but a cmake cache file for an in-source build exists. Please delete
    the file CMakeCache.txt from the source folder to proceed.")
endif()

# Default build type. To change the build type, 
# use the CMAKE_BUILD_TYPE configuration option.
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type: Release or Debug" FORCE)
endif()

# Can assist in troubleshooting
#set(CMAKE_VERBOSE_MAKEFILE ON)
#set(CMAKE_INSTALL_ALWAYS ON)

# Default CLFAGS and CXXFLAGS:
set(CMAKE_C_FLAGS_RELEASE "-O2")
set(CMAKE_CXX_FLAGS_RELEASE "-O2")
set(CMAKE_C_FLAGS_DEBUG "-g")
set(CMAKE_CXX_FLAGS_DEBUG "-g")
set(CMAKE_C_FLAGS_OPTIMISED "-O3")
set(CMAKE_CXX_FLAGS_OPTIMISED "-O3")
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

add_compile_options(-D_FILE_OFFSET_BITS=64)

include(ConfigureBaseTargets)
include(CheckPlatform)

# GCC below 6.0 doesn't support __target__("fpu=neon") attribute, required for compiling ARM Neon code, otherwise compilation fails.
# Must use -mfpu=neon compiler flag instead, but only do that for processors that support neon, otherwise strip the neon code alltogether,
# because passing -fmpu=neon is unsafe to processors that don't support neon

# Arm neon support only tested on Linux. If your arm hardware is running a non-Linux distro and is using gcc then contact us.
if(ZM_SYSTEM_PROC MATCHES "^arm")
  # Suppress warnings about ABI changes for passing/returning objects of aggregate type on 32-bit ARM
  add_compile_options(-Wno-psabi)
  if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0)
    execute_process(
      COMMAND grep " neon " "/proc/cpuinfo"
      OUTPUT_VARIABLE neonoutput
      RESULT_VARIABLE neonresult
      OUTPUT_QUIET ERROR_QUIET)
    if(neonresult EQUAL 0)
      set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -mfpu=neon")
      set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -mfpu=neon")
      set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mfpu=neon")
      set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mfpu=neon")
    else()
      set(ZM_STRIP_NEON 1)
      message(STATUS "ARM Neon is not available on this processor. Neon functions will be absent")
    endif()
  endif()
endif()

# Modules that we need:
include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckSendfile)

# Configuration options
mark_as_advanced(
  FORCE ZM_EXTRA_LIBS
  ZM_MYSQL_ENGINE
  ZM_NO_MMAP
  CMAKE_INSTALL_FULL_BINDIR
  ZM_PERL_MM_PARMS
  ZM_PERL_SEARCH_PATH
  ZM_TARGET_DISTRO
  ZM_PATH_MAP
  ZM_PATH_ARP
  ZM_PATH_ARP_SCAN
  ZM_PATH_RM
  ZM_PATH_UNAME
  ZM_PATH_IP
  ZM_PATH_IFCONFIG
  ZM_CONFIG_DIR
  ZM_CONFIG_SUBDIR
  ZM_DETECT_SYSTEMD
  ZM_SYSTEMD
  ZM_MANPAGE_DEST_PREFIX)

option(ENABLE_WERROR "Fail the build if a compiler warning is emitted" 0)
option(BUILD_TEST_SUITE "Build the test suite" 0)
option(BUILD_MAN "Build man pages" 1)
option(ASAN "DEBUGGING: Build with AddressSanitizer (ASan) support" 0)
option(TSAN "DEBUGGING: Build with ThreadSanitizer (TSan) support" 0)

if(ASAN AND TSAN)
  message(FATAL_ERROR "ASAN and TSAN options are mutually exclusive")
endif()

set(ZM_RUNDIR "/var/run/zm" CACHE PATH
  "Location of transient process files, default: /var/run/zm")
set(ZM_SOCKDIR "/var/run/zm" CACHE PATH
  "Location of Unix domain socket files, default /var/run/zm")
set(ZM_TMPDIR "/var/tmp/zm" CACHE PATH
  "Location of temporary files, default: /tmp/zm")
set(ZM_LOGDIR "/var/log/zm" CACHE PATH
  "Location of generated log files, default: /var/log/zm")
set(ZM_WEBDIR "${CMAKE_INSTALL_FULL_DATADIR}/zoneminder/www" CACHE PATH
  "Location of the web files, default: <prefix>/${CMAKE_INSTALL_DATADIR}/zoneminder/www")
set(ZM_CGIDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/zoneminder/cgi-bin" CACHE PATH
  "Location of the cgi-bin files, default: <prefix>/${CMAKE_INSTALL_LIBEXECDIR}/zoneminder/cgi-bin")
set(ZM_CACHEDIR "/var/cache/zoneminder" CACHE PATH
  "Location of the web server cache busting files, default: /var/cache/zoneminder")
set(ZM_CONTENTDIR "/var/lib/zoneminder" CACHE PATH
  "Location of dynamic content (events and images), default: /var/lib/zoneminder")
set(ZM_FONTDIR "${CMAKE_INSTALL_FULL_DATADIR}/zoneminder/fonts" CACHE PATH
  "Location of the font files used for timestamping, default: <prefix>/${CMAKE_INSTALL_DATADIR}/zoneminder/fonts")

set(ZM_DB_TYPE "mysql" CACHE STRING
  "Type of database where the ZoneMinder database located, default: mysql")
set(ZM_DB_HOST "localhost" CACHE STRING
  "Hostname where the ZoneMinder database located, default: localhost")
set(ZM_DB_NAME "zm" CACHE STRING
  "Name of the ZoneMinder database, default: zm")
set(ZM_DB_USER "zmuser" CACHE STRING
  "Name of the ZoneMinder database user, default: zmuser")
set(ZM_DB_PASS "zmpass" CACHE STRING
  "Password of the ZoneMinder database user, default: zmpass")
set(ZM_WEB_USER "" CACHE STRING
  "The user apache or the local web server runs on. Leave empty for automatic detection.
     If that fails, you can use this variable to force")
set(ZM_WEB_GROUP "" CACHE STRING
  "The group apache or the local web server runs on,
    Leave empty to be the same as the web user")
set(ZM_DIR_EVENTS "${ZM_CONTENTDIR}/events" CACHE PATH
  "Location where events are recorded to, default: ZM_CONTENTDIR/events")
set(ZM_DIR_MODELS "${ZM_CONTENTDIR}/models" CACHE PATH
  "Location of AI models default: ${ZM_CONTENTDIR}/models")
set(ZM_DIR_SOUNDS "sounds" CACHE PATH
  "Location to look for optional sound files, default: sounds")
set(ZM_PATH_ZMS "/cgi-bin/nph-zms" CACHE PATH
  "Web url to zms streaming server, default: /cgi-bin/nph-zms")
set(ZM_PATH_API "/zm/api" CACHE PATH
  "Web url to api, default: /zm/api")
set(ZM_PATH_SHUTDOWN "/sbin/shutdown" CACHE PATH
  "Path to shutdown binary, default: /sbin/shutdown")

# Advanced
set(ZM_PATH_MAP "/dev/shm" CACHE PATH
  "Location to save mapped memory files, default: /dev/shm")
set(ZM_PATH_ARP "" CACHE PATH
  "Full path to compatible arp binary. Leave empty for automatic detection.")
set(ZM_PATH_ARP_SCAN "" CACHE PATH
  "Full path to compatible scan_arp binary. Leave empty for automatic detection.")
set(ZM_PATH_RM "" CACHE PATH
  "Full path to compatible rm binary. Leave empty for automatic detection.")
set(ZM_PATH_UNAME "" CACHE PATH
  "Full path to compatible uname binary. Leave empty for automatic detection.")
set(ZM_PATH_IP "" CACHE PATH
  "Full path to compatible ip binary. Leave empty for automatic detection.")
set(ZM_PATH_IFCONFIG "" CACHE PATH
  "Full path to compatible ifconfig binary. Leave empty for automatic detection.")
set(ZM_CONFIG_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/zm" CACHE PATH
  "Location of ZoneMinder configuration, default system config directory")
set(ZM_CONFIG_SUBDIR "${ZM_CONFIG_DIR}/conf.d" CACHE PATH
  "Location of ZoneMinder configuration subfolder, default: ZM_CONFIG_DIR/conf.d")
set(ZM_EXTRA_LIBS "" CACHE STRING
  "A list of optional libraries, separated by semicolons, e.g. ssl;theora")
set(ZM_MYSQL_ENGINE "InnoDB" CACHE STRING
  "MySQL engine to use with database, default: InnoDB")
set(ZM_NO_MMAP "OFF" CACHE BOOL
  "Set to ON to not use mmap shared memory. Shouldn't be enabled unless you
    experience problems with the shared memory. default: OFF")
set(ZM_NO_LIBVLC "OFF" CACHE BOOL
  "Set to ON to skip libvlc checks and force building ZM without libvlc. default: OFF")
set(ZM_NO_LIBVNC "OFF" CACHE BOOL
  "Set to ON to skip libvnc checks and force building ZM without libvnc. default: OFF")
set(ZM_NO_CURL "OFF" CACHE BOOL
  "Set to ON to skip cURL checks and force building ZM without cURL. default: OFF")
set(ZM_NO_X10 "OFF" CACHE BOOL
  "Set to ON to build ZoneMinder without X10 support. default: OFF")
set(ZM_ONVIF "ON" CACHE BOOL
  "Set to ON to enable basic ONVIF support. This is EXPERIMENTAL and may not
    work with all cameras claiming to be ONVIF compliant. default: ON")
set(ZM_NO_PCRE "OFF" CACHE BOOL
  "Set to ON to skip libpcre2 checks and force building ZM without libpcre2. default: OFF")
set(ZM_NO_RTSPSERVER "OFF" CACHE BOOL
  "Set to ON to skip building ZM with rtsp server support. default: OFF")
set(ZM_NO_MQTT "OFF" CACHE BOOL
  "Set to ON to skip MQTT (Mosquitto) checks and force building ZM without MQTT support. default: OFF")
set(ZM_PERL_MM_PARMS INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 CACHE STRING
  "By default, ZoneMinder's Perl modules are installed into the Vendor folders,
	as defined by your installation of Perl. You can change that here. Consult Perl's 
	MakeMaker documentation for a definition of acceptable parameters. If you set this 
	to something that causes the modules to be installed outside Perl's normal search 
	path, then you will also need to set ZM_PERL_SEARCH_PATH accordingly.")
set(ZM_PERL_SEARCH_PATH "" CACHE PATH
  "Use to add a folder to your Perl's search path. This will need to be set in cases
	where ZM_PERL_MM_PARMS has been modified such that ZoneMinder's Perl modules are 
	installed outside Perl's default search path.")
set(ZM_TARGET_DISTRO "" CACHE STRING
  "Build ZoneMinder for a specific distribution.  Currently, valid names are: fc, el, OS13, FreeBSD")
set(ZM_DETECT_SYSTEMD "ON" CACHE BOOL
  "Set to OFF to disable detection of systemd. default: ON")
set(ZM_SYSTEMD "OFF" CACHE BOOL
  "Set to ON to force building ZM with systemd support. default: OFF")
set(ZM_MANPAGE_DEST_PREFIX "share/man" CACHE PATH
  "Relative path used to install ZoneMinder's Man pages into a
    non-standard folder. Most Linux users will not need to change this.
    BSD users may need to set this.")
set(ZM_CAKEPHP_CACHE "Apc" CACHE STRING
  "Set the CakePHP cache engine, default: Apc")

# Supported crypto backends. Using OpenSSL by default to be compatible with jwt-cpp.
set(ZM_CRYPTO_BACKEND_OPTIONS gnutls openssl)
set(ZM_CRYPTO_BACKEND openssl CACHE STRING "Determines which crypto backend should be used.")
set_property(CACHE ZM_CRYPTO_BACKEND PROPERTY STRINGS ${ZM_CRYPTO_BACKEND_OPTIONS})

if(NOT ZM_CRYPTO_BACKEND IN_LIST ZM_CRYPTO_BACKEND_OPTIONS)
  message(FATAL_ERROR "Invalid value for ZM_CRYPTO_BACKEND. Possible options: ${ZM_CRYPTO_BACKEND_OPTIONS}")
endif()

# Supported JWT backends. Using jwt-cpp as default.
set(ZM_JWT_BACKEND_OPTIONS libjwt jwt_cpp)
set(ZM_JWT_BACKEND jwt_cpp CACHE STRING "Determines which JWT backend should be used.")
set_property(CACHE ZM_JWT_BACKEND PROPERTY STRINGS ${ZM_JWT_BACKEND_OPTIONS})

if(NOT ZM_JWT_BACKEND IN_LIST ZM_JWT_BACKEND_OPTIONS)
  message(FATAL_ERROR "Invalid value for ZM_JWT_BACKEND. Possible options: ${ZM_JWT_BACKEND_OPTIONS}")
endif()

if((ZM_TARGET_DISTRO MATCHES "^el") OR (ZM_TARGET_DISTRO MATCHES "^fc"))
  set(ZM_RUNDIR "/run/zoneminder")
  set(ZM_SOCKDIR "/var/lib/zoneminder/sock")
  set(ZM_TMPDIR "/var/lib/zoneminder/temp")
  set(ZM_LOGDIR "/var/log/zoneminder")
  set(ZM_CONFIG_DIR "/etc/zm")
  set(ZM_CONFIG_SUBDIR "/etc/zm/conf.d")
  set(ZM_WEBDIR "/usr/share/zoneminder/www")

=== src/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder binaries

# Create files from the .in files
configure_file(zm_config_data.h.in "${CMAKE_BINARY_DIR}/zm_config_data.h" @ONLY)

# Group together all the source files that are used by all the binaries (zmc, zmu, zms etc)
set(ZM_BIN_SRC_FILES
  zm_analysis_thread.cpp
  zm_poll_thread.cpp
  zm_buffer.cpp
  zm_camera.cpp
  zm_comms.cpp
  zm_config.cpp
  zm_crypt.cpp
  zm.cpp
  zm_db.cpp
  zm_decoder_thread.cpp
  zm_group_permission.cpp
  zm_monitor_permission.cpp
  zm_logger.cpp
  zm_event.cpp
  zm_eventstream.cpp
  zm_event_tag.cpp
  zm_exception.cpp
  zm_fifo.cpp
  zm_fifo_debug.cpp
  zm_fifo_stream.cpp
  zm_file_camera.cpp
  zm_font.cpp
  zm_frame.cpp
  zm_group.cpp
  zm_image.cpp
  zm_jpeg.cpp
  zm_libvlc_camera.cpp
  zm_libvnc_camera.cpp
  zm_local_camera.cpp
  zm_monitor.cpp
  zm_monitor_monitorlink.cpp
  zm_monitor_rtsp2web.cpp
  zm_monitor_go2rtc.cpp
  zm_monitor_janus.cpp
  zm_monitor_amcrest.cpp
  zm_monitor_onvif.cpp
  zm_monitorlink_expression.cpp
  #zm_monitorlink_token.cpp
  zm_monitorstream.cpp
  zm_mqtt.cpp
  zm_ffmpeg.cpp
  zm_ffmpeg_camera.cpp
  zm_ffmpeg_input.cpp
  zm_mpeg.cpp
  zm_packet.cpp
  zm_packetqueue.cpp
  zm_poly.cpp
  zm_regexp.cpp
  zm_remote_camera.cpp
  zm_remote_camera_http.cpp
  zm_remote_camera_nvsocket.cpp
  zm_remote_camera_rtsp.cpp
  zm_rtp.cpp
  zm_rtp_ctrl.cpp
  zm_rtp_data.cpp
  zm_rtp_source.cpp
  zm_rtsp.cpp
  zm_rtsp_auth.cpp
  zm_rtsp_server_fifo_source.cpp
  zm_rtsp_server_fifo_adts_source.cpp
  zm_rtsp_server_fifo_h264_source.cpp
  zm_rtsp_server_fifo_av1_source.cpp
  zm_rtsp_server_fifo_audio_source.cpp
  zm_rtsp_server_fifo_video_source.cpp
  zm_sdp.cpp
  zm_server.cpp
  zm_signal.cpp
  zm_stream.cpp
  zm_swscale.cpp
  zm_tag.cpp
  zm_time.cpp
  zm_uri.cpp
  zm_user.cpp
  zm_utils.cpp
  zm_videostore.cpp
  zm_zone.cpp
  zm_storage.cpp)

if(GSOAP_FOUND)
  set(ZM_BIN_SRC_FILES
  ${ZM_BIN_SRC_FILES}
  bindings.h
  ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
  ${CMAKE_BINARY_DIR}/generated/soapC.cpp
  ${GSOAP_PLUGIN_DIR}/smdevp.c
  ${GSOAP_PLUGIN_DIR}/mecevp.c
  ${GSOAP_PLUGIN_DIR}/wsaapi.c
  ${GSOAP_PLUGIN_DIR}/wsseapi.c
  ${GSOAP_PLUGIN_DIR}/logging.c
  ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c
  )

  SET(GCC_COMPILE_FLAGS "-DWITH_OPENSSL -DWITH_DOM")
  SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${GCC_COMPILE_FLAGS}")

  #Create the directory that will host files generated by GSOAP
  file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/generated)

  #some files are generated by gsoap
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapClientLib.c       PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapC.c       PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp     PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/smdevp.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/mecevp.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsaapi.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsseapi.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/logging.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/smdevp.c PROPERTIES COMPILE_FLAGS "-Wno-implicit-fallthrough")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/mecevp.c PROPERTIES COMPILE_FLAGS "-Wno-implicit-fallthrough -Wno-implicit-function-declaration")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsaapi.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsseapi.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/logging.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")

  #Create a cmake target that generate gsoap files
  add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/generated/soapC.cpp
    OUTPUT ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
    #COMMAND ${GSOAP_WSDL2H} -d -P -O2 -o ${CMAKE_BINARY_DIR}/generated/bindings.h http://www.onvif.org/onvif/ver10/events/wsdl/event.wsdl
    #COMMAND echo '\#import \"wsse.h\"' >> ${CMAKE_BINARY_DIR}/generated/bindings.h
    #COMMAND echo '\#import \"struct_timeval.h\"' >> ${CMAKE_BINARY_DIR}/generated/bindings.h
    COMMAND ${GSOAP_SOAPCPP2} -a -n -2 -C -I ${GSOAP_PLUGIN_DIR}/.. -I ${GSOAP_PLUGIN_DIR}/../import/ -I ${GSOAP_PLUGIN_DIR}/../custom/ -d ${CMAKE_BINARY_DIR}/generated -j -x ${CMAKE_CURRENT_SOURCE_DIR}/bindings.h
    COMMENT "CREATING STUBS AND GLUE CODE"
  )

  add_custom_target(GSOAP_GENERATION_TARGET
        DEPENDS ${CMAKE_BINARY_DIR}/generated/soapC.cpp
        DEPENDS ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
        DEPENDS ${GSOAP_PLUGIN_DIR}/smdevp.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/mecevp.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/wsaapi.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/wsseapi.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/logging.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c
  )

endif()

# A fix for cmake recompiling the source files for every target.
add_library(zm STATIC ${ZM_BIN_SRC_FILES})

target_include_directories(zm
  PUBLIC
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ../dep/booleval/include
    )

if(ZM_STRIP_NEON)
  target_compile_definitions(zm PRIVATE ZM_STRIP_NEON=1)
endif()

if(GSOAP_FOUND)
  target_compile_definitions(zm PUBLIC WITH_GSOAP)
  target_include_directories(zm
    PUBLIC
      ${CMAKE_BINARY_DIR}/generated
      ${GSOAP_PLUGIN_DIR}/..
      ${GSOAP_INCLUDE_DIR})
endif()

target_link_libraries(zm
  PUBLIC
    FFMPEG::avcodec
    FFMPEG::avdevice
    FFMPEG::avformat
    FFMPEG::avutil
    FFMPEG::swresample
    FFMPEG::swscale
    libbcrypt::bcrypt
    RtspServer::RtspServer
    chmike::CxxUrl
    martinmoene::span-lite
    ${ZM_BIN_LIBS}
  PRIVATE
    zm-core-interface)

set(GSOAP_LIBRARIES ${GSOAP_CXX_LIBRARIES})
if(HAVE_LIBOPENSSL)
  set(GSOAP_LIBRARIES ${GSOAP_SSL_CXX_LIBRARIES})
endif()

if(GSOAP_FOUND)
  target_link_libraries(zm
    PUBLIC
      ${GSOAP_LIBRARIES}
      ${OPENSSL_SSL_LIBRARY}
      ${OPENSSL_CRYPTO_LIBRARY})
endif()

if(${ZM_JWT_BACKEND} STREQUAL "jwt_cpp")
  target_link_libraries(zm
    PUBLIC
      jwt-cpp::jwt-cpp)
elseif(${ZM_JWT_BACKEND} STREQUAL "libjwt")
  target_link_libraries(zm
    PUBLIC
      JWT::libjwt)
endif()

if(TARGET V4L2::videodev2)
  target_link_libraries(zm
    PRIVATE
      V4L2::videodev2)
endif()

add_executable(zmc zmc.cpp)
add_executable(zms zms.cpp)
add_executable(zmu zmu.cpp)
add_executable(zmbenchmark zmbenchmark.cpp)

if(GSOAP_FOUND)
  #Make sure that the client is compiled only after gsoap has been processed
  add_dependencies(zmc GSOAP_GENERATION_TARGET)
endif()

target_link_libraries(zmc
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zms
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmu
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmbenchmark
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

# Generate man files for the binaries destined for the bin folder
if(BUILD_MAN)
  foreach(CBINARY zmc zmu)
    POD2MAN(${CMAKE_CURRENT_SOURCE_DIR}/${CBINARY}.cpp ${CBINARY} 8 ${ZM_MANPAGE_DEST_PREFIX})
  endforeach(CBINARY zmc zmu)
endif()

install(TARGETS zmc zmu RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(TARGETS zms RUNTIME DESTINATION "${ZM_CGIDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(CODE "execute_process(COMMAND ln -sf zms nph-zms WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nph-zms DESTINATION "${ZM_CGIDIR}")

if(HAVE_RTSP_SERVER)
  add_executable(zm_rtsp_server zm_rtsp_server.cpp)
  target_link_libraries(zm_rtsp_server
    PRIVATE
      zm-core-interface
      zm
      ${ZM_EXTRA_LIBS}
      ${CMAKE_DL_LIBS})
  install(TARGETS zm_rtsp_server RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== onvif/proxy/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder ONVIF proxy module.

# If this is an out-of-source build, copy the files we need to the binary directory
if(NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR))
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/Makefile.PL" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/lib" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}" PATTERN "*.in" EXCLUDE)
endif()

# MAKEMAKER_NOECHO_COMMAND previously defined in /scripts/zoneminder/CMakeLists.txt

# Add build target for the perl modules
add_custom_target(zmonvifproxy ALL "${PERL_EXECUTABLE}" Makefile.PL ${ZM_PERL_MM_PARMS_FULL} FIRST_MAKEFILE=MakefilePerl DESTDIR=${CMAKE_CURRENT_BINARY_DIR}/output ${MAKEMAKER_NOECHO_COMMAND} COMMAND make -f MakefilePerl pure_install COMMENT "Building ZoneMinder perl ONVIF proxy module")

# Add install target for the perl modules
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/output/" DESTINATION "/")

# Add additional files and directories to make clean
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "output;blib;pm_to_blib;MakefilePerl")

=== debian/changelog ===
zoneminder (1.38.0~20260212.195-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 12 Feb 2026 13:20:20 -0500

## zoneminder 1.38.0~20260212.500

=== debian/changelog ===
zoneminder (1.38.0~20260212.500-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 12 Feb 2026 17:50:46 -0500

## zoneminder 1.38.0~20260213.205

=== debian/changelog ===
zoneminder (1.38.0~20260213.205-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 13 Feb 2026 10:04:09 -0500

## zoneminder 1.38.0~20260213.207

=== debian/changelog ===
zoneminder (1.38.0~20260213.207-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 13 Feb 2026 11:58:02 -0500

## zoneminder 1.38.0~20260215.226

=== debian/changelog ===
zoneminder (1.38.0~20260215.226-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 12:46:42 -0500

## zoneminder 1.38.0~20260215.236

=== debian/changelog ===
zoneminder (1.38.0~20260215.236-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 13:05:04 -0500

## zoneminder 1.38.0~20260215.245

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -152,6 +152,7 @@
     ${CMAKE_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
     ../dep/booleval/include
+    ${ZM_INCLUDE_DIRS}
     )
 
 if(ZM_STRIP_NEON)

=== debian/changelog ===
zoneminder (1.38.0~20260215.245-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 15:04:37 -0500

## zoneminder 1.38.0~20260215.247

=== debian/changelog ===
zoneminder (1.38.0~20260215.247-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 15:53:15 -0500

## zoneminder 1.38.0~20260215.253

=== debian/changelog ===
zoneminder (1.38.0~20260215.253-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 16:01:11 -0500

## zoneminder 1.38.0~20260215.254

=== debian/changelog ===
zoneminder (1.38.0~20260215.254-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 16:06:09 -0500

## zoneminder 1.38.0~20260215.255

=== debian/changelog ===
zoneminder (1.38.0~20260215.255-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 20:52:05 -0500

## zoneminder 1.38.0~20260216.255

=== debian/changelog ===
zoneminder (1.38.0~20260216.255-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 03:58:56 -0500

## zoneminder 1.38.0~20260216.256

=== debian/changelog ===
zoneminder (1.38.0~20260216.256-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 12:51:45 -0500

## zoneminder 1.38.0~20260216.576

=== db/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder database scripts

# Create files from the .in files
configure_file(zm_create.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_create.sql" @ONLY)
configure_file(zm_update-1.31.30.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" @ONLY)
configure_file(zm_update-1.35.24.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" @ONLY)
configure_file(zm_update-1.37.4.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" @ONLY)
configure_file(zm_update-1.37.69.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.69.sql" @ONLY)
configure_file(zm_update-1.37.74.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.74.sql" @ONLY)
configure_file(zm_update-1.37.77.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.77.sql" @ONLY)

# install zm_create.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_create.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# Glob all database upgrade scripts
file(GLOB dbfileslist RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.sql")

# install zm_update-1.31.30.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.35.24.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.4.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.69.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.69.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.74.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.74.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.77.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.77.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# Install the database upgrade scripts
install(FILES ${dbfileslist} DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# install zm_update-1.31.30.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.35.24.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.4.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

=== debian/changelog ===
zoneminder (1.38.0~20260216.576-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 15:58:31 -0500

## zoneminder 1.38.0~20260216.579

=== debian/changelog ===
zoneminder (1.38.0~20260216.579-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 18:15:56 -0500

## zoneminder 1.38.0

=== debian/changelog ===
zoneminder (1.38.0-trixie1) trixie; urgency=medium

  * 

 -- Isaac Connor <iconnor@connortechnology.com>  Fri, 06 Feb 2026 21:21:30 -0500

## zoneminder 1.38.1~20260217.2

=== tests/CMakeLists.txt ===
# This file is part of the ZoneMinder Project.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


include(Catch)

set(TEST_SOURCES
  zm_box.cpp
  zm_comms.cpp
  zm_crypt.cpp
  zm_font.cpp
  zm_onvif_renewal.cpp
  zm_poly.cpp
  zm_utils.cpp
  zm_vector2.cpp
  zm_zone.cpp)

add_executable(tests main.cpp ${TEST_SOURCES})

target_link_libraries(tests
  PRIVATE
    zm-core-interface
    zm
    ${ZM_BIN_LIBS}
    bcrypt
    Catch2::Catch2WithMain)

target_include_directories(tests
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR})

catch_discover_tests(tests)

add_custom_command(TARGET tests
  PRE_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_CURRENT_SOURCE_DIR}/data/ ${CMAKE_CURRENT_BINARY_DIR}/data/
  BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/data/)

=== debian/changelog ===
zoneminder (1.38.1~20260217.2-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Tue, 17 Feb 2026 13:54:31 -0500
